| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::CallContentInterfaceVideoControlInterface Class Reference

`#include <TelepathyQt/CallContent>`

Inherits Tp::AbstractInterface.

List of all members.

## Signals

- void KeyFrameRequested ()
- void VideoResolutionChanged (const Tp::VideoResolution &newResolution)
- void BitrateChanged (uint newBitrate)
- void FramerateChanged (uint newFramerate)
- void MTUChanged (uint newMTU)

## Public Member Functions

- CallContentInterfaceVideoControlInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentInterfaceVideoControlInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentInterfaceVideoControlInterface (Tp::DBusProxy *proxy)
- CallContentInterfaceVideoControlInterface (const Tp::Client::CallContentInterface &mainInterface)
- CallContentInterfaceVideoControlInterface (const Tp::Client::CallContentInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyVideoResolution () const
- Tp::PendingVariant * requestPropertyBitrate () const
- Tp::PendingVariant * requestPropertyFramerate () const
- Tp::PendingVariant * requestPropertyMTU () const
- Tp::PendingVariant * requestPropertyManualKeyFrames () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl".

## Constructor & Destructor Documentation

Tp::Client::CallContentInterfaceVideoControlInterface::CallContentInterfaceVideoControlInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterfaceVideoControlInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentInterfaceVideoControlInterface::CallContentInterfaceVideoControlInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterfaceVideoControlInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentInterfaceVideoControlInterface::CallContentInterfaceVideoControlInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentInterfaceVideoControlInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::CallContentInterfaceVideoControlInterface::CallContentInterfaceVideoControlInterface | ( | const Tp::Client::CallContentInterface & | mainInterface | ) | `[explicit]`

Creates a CallContentInterfaceVideoControlInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::CallContentInterfaceVideoControlInterface::CallContentInterfaceVideoControlInterface | ( | const Tp::Client::CallContentInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a CallContentInterfaceVideoControlInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::CallContentInterfaceVideoControlInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::CallContentInterfaceVideoControlInterface::requestPropertyVideoResolution | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `VideoResolution` of type `Tp::VideoResolution`.

The resolution at which the streaming engine should be sending. Change notification is via the VideoResolutionChanged signal.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterfaceVideoControlInterface::requestPropertyBitrate | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Bitrate` of type `uint`.

The bitrate the streaming engine should be sending at. Change notification is via the BitrateChanged signal.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterfaceVideoControlInterface::requestPropertyFramerate | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Framerate` of type `uint`.

The framerate the streaming engine should be sending at. Change notification is via the FramerateChanged signal.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterfaceVideoControlInterface::requestPropertyMTU | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `MTU` of type `uint`.

The Maximum Transmission Unit Change notification is via the MTUChanged signal.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterfaceVideoControlInterface::requestPropertyManualKeyFrames | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `ManualKeyFrames` of type `bool`.

Only send key frames when manually requested

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::CallContentInterfaceVideoControlInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::CallContentInterfaceVideoControlInterface::KeyFrameRequested | ( |  | ) | `[signal]`

Represents the signal `KeyFrameRequested` on the remote object.

Request that the video encoder produce a new key frame as soon as possible.

void Tp::Client::CallContentInterfaceVideoControlInterface::VideoResolutionChanged | ( | const Tp::VideoResolution & | newResolution | ) | `[signal]`

Represents the signal `VideoResolutionChanged` on the remote object.

The desired video resolution has changed.

void Tp::Client::CallContentInterfaceVideoControlInterface::BitrateChanged | ( | uint | newBitrate | ) | `[signal]`

Represents the signal `BitrateChanged` on the remote object.

The desired bitrate has changed

void Tp::Client::CallContentInterfaceVideoControlInterface::FramerateChanged | ( | uint | newFramerate | ) | `[signal]`

Represents the signal `FramerateChanged` on the remote object.

The desired framerate has changed

void Tp::Client::CallContentInterfaceVideoControlInterface::MTUChanged | ( | uint | newMTU | ) | `[signal]`

Represents the signal `MTUChanged` on the remote object.

The Maximum Transmission Unit has changed

void Tp::Client::CallContentInterfaceVideoControlInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.